Skip to main content

Create Bucket Replication

Replication rule can be added only if versioning in both buckets are enabled and they do not belong to the same region.

POST/api/v1/storage/bucket-replication/

Query parameters

  • project_idQueryintegerrequired
  • locationQuerystringrequired

    Deployment region for the resource. Accepted values: Delhi, Chennai.

    Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Request body

application/json

object
source_bucketstring
examplefirst-bucket
source_regionstring
exampleDelhi
destination_bucketstring
examplesecond-bucket
destination_regionstring
exampleChennai
prioritystring1
example1

Responses

200Replication rule created successfully.
object
codeinteger
example200
dataobject
errorsobject
messagestring
exampleSuccess
412Precondition failed due to replication rule conflict.
object
codeinteger
example412
dataobject
errorsstring
exampleadd-this-bucket to this-is-another-bucket replication rule already exists.
messagestring
examplePrecondition Failed